List softwareOathMethods
Namespace: microsoft.graph
Important
APIs under the /beta version in Microsoft Graph are subject to change. Use of these APIs in production applications is not supported. To determine whether an API is available in v1.0, use the Version selector.
Retrieve a list of a user's software OATH token authentication method objects and their properties.
Permissions
One of the following permissions is required to call this API. To learn more, including how to choose permissions, see Permissions.
Permissions acting on self
| Permission type | Permissions (from least to most privileged) |
|---|---|
| Delegated (work or school account) | UserAuthenticationMethod.Read, UserAuthenticationMethod.ReadWrite |
| Delegated (personal Microsoft account) | Not supported. |
| Application | Not supported. |
Permissions acting on other users
| Permission type | Permissions (from least to most privileged) |
|---|---|
| Delegated (work or school account) | UserAuthenticationMethod.Read.All, UserAuthenticationMethod.ReadWrite.All |
| Delegated (personal Microsoft account) | Not supported. |
| Application | UserAuthenticationMethod.Read.All, UserAuthenticationMethod.ReadWrite.All |
For delegated scenarios where an admin is acting on another user, the admin needs one of the following directory roles:
- Global Reader
- Authentication administrator
- Privileged authentication administrator
- Global administrator
HTTP request
GET /me/authentication/softwareOathMethods
GET /users/{id | userPrincipalName}/authentication/softwareOathMethods
Request headers
| Name | Description |
|---|---|
| Authorization | Bearer {token}. Required. |
Request body
Do not supply a request body for this method.
Response
If successful, this method returns a 200 OK response code and a collection of softwareOathAuthenticationMethod objects in the response body.
Examples
Request
GET https://graph.microsoft.com/beta/me/authentication/softwareOathMethods
Response
Note: The response object shown here might be shortened for readability.
HTTP/1.1 200 OK
Content-Type: application/json
{
"value": [
{
"@odata.type": "#microsoft.graph.softwareOathAuthenticationMethod",
"id": "b172893e-893e-b172-3e89-72b13e8972b1",
"secretKey": "String"
}
]
}
Saran dan Komentar
Kirim dan lihat umpan balik untuk